nxt.db

## Class Table

- java.lang.Object
- - nxt.db.Table

- Direct Known Subclasses:
    DerivedDbTable

      public class Table
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static TransactionalDb` | `db`
    `protected java.lang.String` | `schema`
    `protected java.lang.String` | `schemaTable`
    `protected java.lang.String` | `table`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Table(java.lang.String schemaTable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Connection` | `getConnection()`
    `int` | `getCount()`
    `int` | `getCount(DbClause dbClause)`
    `int` | `getCount(java.sql.PreparedStatement pstmt)`
    `int` | `getRowCount()`
    `java.lang.String` | `getSchemaTable()`
    `java.lang.String` | `toString()`
    `void` | `truncate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### db

          protected static final TransactionalDb db

    - #### schema

          protected final java.lang.String schema

    - #### table

          protected final java.lang.String table

    - #### schemaTable

          protected final java.lang.String schemaTable

  - ### Constructor Detail

    - #### Table

          public Table(java.lang.String schemaTable)

  - ### Method Detail

    - #### getConnection

          public final java.sql.Connection getConnection()
                                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### truncate

          public void truncate()

    - #### getSchemaTable

          public final java.lang.String getSchemaTable()

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCount

          public int getCount()

    - #### getCount

          public int getCount(DbClause dbClause)

    - #### getRowCount

          public final int getRowCount()

    - #### getCount

          public final int getCount(java.sql.PreparedStatement pstmt)
                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`